%define nt_name net-tools
%define nt_version 1.60

Name: ethtool
Version: 6
Release: alt1
Summary: Ethernet settings tools for network cards
License: GPL
Group: System/Configuration/Networking
Url: http://sourceforge.net/projects/gkernel/

Packager: Michael Shigorin <mike@altlinux.org>

# http://git.kernel.org/?p=network/ethtool/ethtool.git;a=summary
# git://git.kernel.org/pub/scm/network/ethtool/ethtool.git
Source: http://prdownloads.sourceforge.net/gkernel/%name-%version.tar.gz
Source1: %name.sysconfig
Source2: %name.init
Source3: %name-readme.alt
Source4: ftp://ftp.scyld.com/pub/diag/ether-wake.c
Source5: http://www.tazenda.demon.co.uk/phil/%nt_name/%nt_name-%nt_version.tar.bz2
Patch1: net-tools-1.60-rh-gcc33.patch
Patch2: net-tools-1.60-rh-mii-doc.patch
Patch3: net-tools-1.60-alt-mii-tool-fflush.patch
Patch4: net-tools-1.60-rh-miiioctl.patch

Summary(ru_RU.KOI8-R):   Ethernet-
Summary(uk_UA.KOI8-U): ̦  Ethernet-

Conflicts: net-tools <= 1.60-alt11

%description
This utility allows querying and changing of ethernet
card settings, such as speed, port, and autonegotiation.

%description -l ru_RU.KOI8-R
      
Ethernet-,   , , autonegotiation.

%description -l uk_UA.KOI8-U
 ̦ Ѥ   ͦ Ҧ
Ethernet-,   ˦, , autonegotiation.

%prep
%setup -q
tar xjf %SOURCE5
%patch1
%patch2
%patch3
%patch4

%build
gcc $RPM_OPT_FLAGS %SOURCE4 -o ether-wake
%make_build -C %nt_name-%nt_version mii-tool
%make_build -C %nt_name-%nt_version/man all
%configure
%make_build

%install
%makeinstall
mkdir -p %buildroot%_sysconfdir/sysconfig %buildroot%_initdir
mkdir -p %buildroot%_docdir/%name-%version
install -m644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/%name
install -m755 %SOURCE2 %buildroot%_initdir/%name
install -m644 %SOURCE3 README.ALT
install -p -m755 ether-wake %buildroot%_sbindir/
install -p -m755 %nt_name-%nt_version/mii-tool %buildroot%_sbindir/
install -p -m755 %nt_name-%nt_version/man/en_US/mii-tool.8 %buildroot%_man8dir/

%post
%post_service %name

%preun
%preun_service %name
%files
%doc README.ALT
%_man8dir/*
%_sbindir/*
%_initdir/*
%config(noreplace) %_sysconfdir/sysconfig/%name

%changelog
* Wed Aug 20 2008 Michael Shigorin <mike@altlinux.org> 6-alt1
- 6
  + several years of silent development
  + two security-related fixes in versions 5 and 6
- spec cleanup

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 3-alt5.0
- Automated rebuild.

* Thu Dec 22 2005 Denis Ovsienko <pilot@altlinux.ru> 3-alt5
- fixing #8656 (initscript and %_sysconfdir/net)

* Wed Aug 10 2005 Denis Ovsienko <pilot@altlinux.ru> 3-alt4
- fixed #7638 (mii-tool is broken)

* Tue May 17 2005 Denis Ovsienko <pilot@altlinux.ru> 3-alt3
- one more #6360 fix attempt

* Mon May 16 2005 Denis Ovsienko <pilot@altlinux.ru> 3-alt2
- #6360 adjustment

* Fri May 13 2005 Denis Ovsienko <pilot@altlinux.ru> 3-alt1
- new ethtool version
- adopted ether-wake and mii-tool from net-tools

* Tue Oct 29 2002 Michael Shigorin <mike@altlinux.ru> 1.7-alt1
- 1.7
- built with gcc 3.2

* Wed Jun 05 2002 Michael Shigorin <mike@altlinux.ru> 1.5-alt1
- built for ALT Linux
- spec adapted from Cooker/PLD and largely cleaned up
- new and shiny sysconfig-driven wrapper initscript added
